import request from "@/utils/request";

// 查询车辆监控记录接口
export function pdmVehicleAlarmList(params) {
  return request({
    url: "/powerdistribution/pdmVehicleAlarm/list",
    method: "get",
    params,
  });
}

// 车辆行驶记录导入接口
export function vehicleDrivingRecordImport(params) {
  return request({
    url: "/powerdistribution/vehicleDrivingRecord/import",
    method: "post",
    data: params,
  });
}

// 车辆行驶记录接口
export function vehicleDrivingRecordList(params) {
  return request({
    url: `/powerdistribution/vehicleDrivingRecord/list`,
    method: "get",
    params,
  });
}
// 车辆行驶记录接口
export function vehicleDrivingRecordList2(params) {
  return request({
    url: `/powerdistribution/vehicleDrivingRecord/list2`,
    method: "get",
    params,
  });
}
// 根据车辆编号查询作业信息
export function selectWorkPlanByVchicleNo(params) {
  return request({
    url: `/power/workPlan/selectWorkPlanByVchicleNo`,
    method: "get",
	params,
  });
}
// 查询施工车辆告警历史列表
export function listVehicleAlarmHist(query) {
  return request({
    url: '/powerdistribution/vehicleAlarmHist/list',
    method: 'get',
    params: query
  })
}